/*
 * convert.c
 *
 * the program that convert binary files of SmartBtmgr into C source code
 *
 * Copyright (C) 2000, Suzhe, Lonius  See file COPYING for details.
*/

#include<stdio.h>

#define LOADER_SIZE 512
#define KNL_SIZE_OFF 10
#define THEME_SIZE_OFF 14

unsigned char buf[32767];

void error(char *msg)
{
        fprintf(stderr,msg);
        exit (-1);
}

int main()
{
   int i, size;
   FILE *fp;

   if( (fp=fopen("../manager/loader.bin","rb"))==NULL )
       error("loader.bin not found!");
       
   fread(buf,sizeof(char),LOADER_SIZE,fp);
   fclose(fp);

   fp=fopen("loader.h","wt");
   fprintf(fp,"char loader_code[]=\n{\n");

   for(i=0;i<LOADER_SIZE;i++)
      {
      if((i%16)==0) fprintf(fp,"\n");
      fprintf(fp,"0x%02X,",buf[i]);
      }
   fprintf(fp,"\n};\n\n");
   fclose(fp);

   if( (fp=fopen("../manager/main.bin","rb"))==NULL )
       error("main.bin not found!");
       
   fseek(fp, 0, SEEK_END);
   size = ftell(fp) + 1;
   rewind(fp);
   fread(buf,sizeof(char), size,fp);
   fclose(fp);
   fp=fopen("main.h","wt");
   fprintf(fp,"char main_code[]=\n{\n");

   size = * (short*)(buf + KNL_SIZE_OFF);

   for(i=0;i<size;i++)
      {
      if((i%16)==0) fprintf(fp,"\n");
      if((i%512)==0) fprintf(fp,"\n");
      fprintf(fp,"0x%02X,",buf[i]);
      }
   fprintf(fp,"\n};\n\n");
   fclose(fp);

   if( (fp=fopen("../manager/theme-us.bin","rb"))==NULL )
       error("theme-us.bin not found!");

   fseek(fp, 0, SEEK_END);
   size = ftell(fp) + 1;
   rewind(fp);
   fread(buf,sizeof(char),size,fp);
   fclose(fp);
   fp=fopen("theme-us.h","wt");
   fprintf(fp,"char theme_us_code[]=\n{\n");
   size = * (short*)(buf + THEME_SIZE_OFF);
   for(i=0;i<size;i++)
      {
      if((i%16)==0) fprintf(fp,"\n");
      if((i%512)==0) fprintf(fp,"\n");
      fprintf(fp,"0x%02X,",buf[i]);
      }
   fprintf(fp,"\n};\n\n");
   fclose(fp);

   if( (fp=fopen("../manager/theme-zh.bin","rb"))==NULL )
       error("theme-zh.bin not found!");
   fseek(fp, 0, SEEK_END);
   size = ftell(fp) + 1;
   rewind(fp);
   fread(buf,sizeof(char),size,fp);
   fclose(fp);
   fp=fopen("theme-zh.h","wt");
   fprintf(fp,"char theme_zh_code[]=\n{\n");
        size = * (short*)(buf + THEME_SIZE_OFF);
   for(i=0;i<size;i++)
      {
      if((i%16)==0) fprintf(fp,"\n");
      if((i%512)==0) fprintf(fp,"\n");
      fprintf(fp,"0x%02X,",buf[i]);
      }
   fprintf(fp,"\n};\n\n");
   fclose(fp);
        return 0;
}
