; tempdata.asm
;
; some temp data for Smart Boot Manager
;
; Copyright (C) 2000, Suzhe. See file COPYING for details.
;

;==============================================================================
;temp data area for hd_io.asm
;==============================================================================
%ifdef HAVE_HD_IO
%ifndef HD_IO_TEMPDATA
%define HD_IO_TEMPDATA

tmp_extparam istruc struc_extparam
             at struc_extparam.pack_size,      dw 0x41
             at struc_extparam.flags,          dw 0
             at struc_extparam.cylinders,      dd 0
             at struc_extparam.heads,          dd 0
             at struc_extparam.sectors,        dd 0
             at struc_extparam.total_sectors,  dd 0,0
             at struc_extparam.bytes_per_sect, dw 0
             at struc_extparam.checksum,       db 0
             iend

tmp_int13ext istruc struc_int13ext
             at struc_int13ext.pack_size,      db 0x16
             at struc_int13ext.reserved,       db 0
             dw 0,0,0,0,0,0,0
             iend

tmp_driveinfo istruc struc_driveinfo
              at struc_driveinfo.id
              dw 0,0,0,0
              iend

%endif
%endif

;==============================================================================
;temp data area for knl.asm
;==============================================================================
%ifdef HAVE_KNL
%ifndef KNL_TEMPDATA
%define KNL_TEMPDATA

tmp_good_record_num db 0
tmp_max_record_num  db 0
tmp_part_id         db 0
tmp_logi_father     dd 0

retval              db 0

disk_buf  times 512 db 0
disk_buf1 times 512 db 0

%endif
%endif

;==============================================================================
;temp data area for ui.asm
;==============================================================================
%ifdef HAVE_UI
%ifndef UI_TEMPDATA
%define UI_TEMPDATA

ui_tmp:
.left_col    db  0
.top_row     db  0
.right_col   db  0
.bottom_row  db  0
.frame_attr  db  0
.title_attr  db  0

%endif
%endif

;==============================================================================
;temp data area for utils.asm
;==============================================================================
%ifdef HAVE_UTILS
%ifndef UTILS_TEMPDATA
%define UTILS_TEMPDATA

tmp_atoi_result     dw  0

%endif
%endif

;=============================================================================
;temp data area for main.asm
;=============================================================================
%ifdef HAVE_MAIN_PROG
%ifndef MAIN_TEMPDATA
%define MAIN_TEMPDATA

good_record_number  db  0
good_record_list    times MAX_RECORD_NUM db 0

first_visible_rec   db  0
focus_record        db  0

time_count          db  0                       ;
ticks_count         dw  0                       ; used in get_key func
key_pressed         db  0                       ;

change_occured      db  0                       ; if change occured.
root_login          db  0                       ; root login state.

tmp_buffer        times 128 db 0
tmp_schedule_begin  dw  0
tmp_schedule_end    dw  0
tmp_schedule_input  db 12
tmp_records_buf   times MAX_RECORD_NUM * SIZE_OF_BOOTRECORD db 0
%endif
%endif

